> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Non Insurance Payers V 1 Delete

DELETE https://api.taigabilling.com/api/non-insurance-payers/v1/{non_insurance_payer_id}

Reference: https://docs.taigabilling.com/api-reference/non-insurance-payers-v-1/non-insurance-payers-v-1-delete

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `non_insurance_payer_id` (string, required)

## Errors

### 404 Not Found Error

- `NonInsurancePayers_v1_deleteRequestNotFoundError`
  - NonInsurancePayersV1DeleteRequestNotFoundError0

## Types

### NonInsurancePayersV1DeleteRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `EntityNotFoundError`
- `content` (EntityNotFoundErrorMessage, optional)

### EntityNotFoundErrorMessage

- `id` (string, required)

## Examples

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/non-insurance-payers/v1/non_insurance_payer_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```